# 5. API Reference | UFMODAnimNotifyPlay

This documentation is preliminary and is subject to change.

Used for triggering Events in Animation timelines.

This class inherits from UAnimNotify

Properties:

- UFMODAnimNotifyPlay::bFollow Should this sound follow its owner.
- UFMODAnimNotifyPlay::AttachName Socket or bone name to attach sound to.
- UFMODAnimNotifyPlay::Event FMODEvent reference to play.

Methods:

- UFMODAnimNotifyPlay::Notify Event triggered when the timeline crosses the notify marker.

## UFMODAnimNotifyPlay::AttachName

Socket or bone name to attach sound to.

C++

    FString AttachName;

## UFMODAnimNotifyPlay::bFollow

Should this sound follow its owner.

C++

    unit32 bFollow : 1;

## UFMODAnimNotifyPlay::Event

FMODEvent reference to play.

C++

    TAssetPtr<class UFMODEvent> Event;

See Also: UFMODEvent

## UFMODAnimNotifyPlay::Notify

Event triggered when the timeline crosses the notify marker.

C++

    virtual void Notify(USkeletalMeshComponent *MeshComp, UAnimSequenceBase *AnimSeq) override

MeshComp
  USceneComponent used for the position of the Event.
AnimSeq
  Reference to the current animation.

If UFMODAnimNotifyPlay::bFollow is true UFMODBlueprintStatics::PlayEventAttached is called using the current UFMODAnimNotifyPlay::AttachName.
Otherwise UFMODBlueprintStatics::PlayEventAtLocation is called using the `MeshComp` for the positional information.